Contents

GET /monitoring/emergency#

Get a list of emergencies stored by the auditor.

The following query parameters are optional, and can be used to customise the response:

Request:

Query Parameters:
  • limit – A signed integer, indicating how many elements relative to the offset query parameter should be returned. The default value is -20.

  • offset – An unsigned integer, indicating from which row onward to return elements. The default value is INT_MAX.

  • return_suppressed – A boolean. If true, returns all eligible rows, otherwise only returns eligible rows that are not suppressed. The default value is false.

With the default settings, the endpoint returns at most the 20 latest elements that are not suppressed.

Response:

200 OK:

The auditor responds with a top level array of Emergency objects. If no elements could be found, an empty array is returned

400 Bad request:

The request is malformed. Returned with an TALER_EC_GENERIC_PARAMETER_MALFORMED error code.

401 Unauthorized:

The request lacks valid authentication credentials. The response comes with a TALER_EC_AUDITOR_GENERIC_UNAUTHORIZED.

500 Internal Server Error:

The server experienced an internal error. The response comes with a TALER_EC_GENERIC_DB_SETUP_FAILED or TALER_EC_GENERIC_DB_FETCH_FAILED error code.

Details:

interface Emergency {

  // Unique row identifier
  row_id : Integer;

  // Hash of denomination public key
  denompub_h : HashCode;

  // What is the total value of all coins of this denomination that
  // were put into circulation (and thus the maximum loss the
  // exchange may experience due to this emergency).
  denom_risk : Amount;

  // What is the loss we have experienced so far (that
  // is, the amount deposited in excess of the amount
  // we issued).
  denom_loss : Amount;

  // When did the exchange start issuing coins in this the denomination.
  deposit_start : Timestamp;

  // When does the deposit period end for coins of this denomination.
  deposit_end : Timestamp;

  // What is the value of an individual coin of this denomination.
  value : Amount;

  // True if this diagnostic was suppressed.
  suppressed : boolean;

}

Note

This endpoint is still experimental. The endpoint will be further developed as needed.